# ------------------------------------------------------------
# This file was generated using create_marin_data.py
#
# on    : Version 2022.3.1
# under : SymPy 1.10.1
# using : Python 3.8.10
# ------------------------------------------------------------

# generated data function for cubic Hecke algebra
def _read_bas():
    r"""
    Return precomputed basis of Ivan Marin

    This code has been generated by ``create_marin_data.py`` (from
    the `database_cubic_hecke repository  <https://github.com/soehms/database_cubic_hecke>`__),
    please don't edit.

    OUTPUT:

    A list of lists where each of it represents a braid pre image
    in Tietze form.

    EXAMPLES::

        >>> from database_cubic_hecke import _read_bas
        >>> res = _read_bas()
        >>> len(res)
        648
    """

    data = [[], [-3, 2, -1, 2, -3], [3, -2, 1, -2, 3], [3], [-3], [-3, -2], [-3,
        2], [3, -2], [3, 2], [-3, -2, -1], [-3, -2, 1], [-3, 2, -1],
        [-3, 2, 1], [3, -2, -1], [3, -2, 1], [3, 2, -1], [3, 2, 1],
        [3, -2, 1, -2], [-3, -2, 1, -2], [3, -2, 3], [3, -2, 3, 1],
        [3, -2, 3, -1], [3, -2, 3, 1, -2, 1], [3, -2, 3, -1, -2], [3,
        -2, 3, -1, 2], [3, -2, 3, 1, -2], [3, -2, 3, 1, 2], [1], [1,
        -3, 2, -1, 2, -3], [1, 3, -2, 1, -2, 3], [1, 3], [1, -3], [1,
        -3, -2], [1, -3, 2], [1, 3, -2], [1, 3, 2], [1, -3, -2, -1],
        [1, -3, -2, 1], [1, -3, 2, -1], [1, -3, 2, 1], [1, 3, -2, -1],
        [1, 3, -2, 1], [1, 3, 2, -1], [1, 3, 2, 1], [1, 3, -2, 1, -2],
        [1, -3, -2, 1, -2], [1, 3, -2, 3], [1, 3, -2, 3, 1], [1, 3,
        -2, 3, -1], [1, 3, -2, 3, 1, -2, 1], [1, 3, -2, 3, -1, -2],
        [1, 3, -2, 3, -1, 2], [1, 3, -2, 3, 1, -2], [1, 3, -2, 3, 1,
        2], [-1], [-1, -3, 2, -1, 2, -3], [-1, 3, -2, 1, -2, 3], [-1,
        3], [-1, -3], [-1, -3, -2], [-1, -3, 2], [-1, 3, -2], [-1, 3,
        2], [-1, -3, -2, -1], [-1, -3, -2, 1], [-1, -3, 2, -1], [-1,
        -3, 2, 1], [-1, 3, -2, -1], [-1, 3, -2, 1], [-1, 3, 2, -1],
        [-1, 3, 2, 1], [-1, 3, -2, 1, -2], [-1, -3, -2, 1, -2], [-1,
        3, -2, 3], [-1, 3, -2, 3, 1], [-1, 3, -2, 3, -1], [-1, 3, -2,
        3, 1, -2, 1], [-1, 3, -2, 3, -1, -2], [-1, 3, -2, 3, -1, 2],
        [-1, 3, -2, 3, 1, -2], [-1, 3, -2, 3, 1, 2], [2], [2, -3, 2,
        -1, 2, -3], [2, 3, -2, 1, -2, 3], [2, 3], [2, -3], [2, -3,
        -2], [2, -3, 2], [2, 3, -2], [2, 3, 2], [2, -3, -2, -1], [2,
        -3, -2, 1], [2, -3, 2, -1], [2, -3, 2, 1], [2, 3, -2, -1], [2,
        3, -2, 1], [2, 3, 2, -1], [2, 3, 2, 1], [2, 3, -2, 1, -2], [2,
        -3, -2, 1, -2], [2, 3, -2, 3], [2, 3, -2, 3, 1], [2, 3, -2, 3,
        -1], [2, 3, -2, 3, 1, -2, 1], [2, 3, -2, 3, -1, -2], [2, 3,
        -2, 3, -1, 2], [2, 3, -2, 3, 1, -2], [2, 3, -2, 3, 1, 2],
        [-2], [-2, -3, 2, -1, 2, -3], [-2, 3, -2, 1, -2, 3], [-2, 3],
        [-2, -3], [-2, -3, -2], [-2, -3, 2], [-2, 3, -2], [-2, 3, 2],
        [-2, -3, -2, -1], [-2, -3, -2, 1], [-2, -3, 2, -1], [-2, -3,
        2, 1], [-2, 3, -2, -1], [-2, 3, -2, 1], [-2, 3, 2, -1], [-2,
        3, 2, 1], [-2, 3, -2, 1, -2], [-2, -3, -2, 1, -2], [-2, 3, -2,
        3], [-2, 3, -2, 3, 1], [-2, 3, -2, 3, -1], [-2, 3, -2, 3, 1,
        -2, 1], [-2, 3, -2, 3, -1, -2], [-2, 3, -2, 3, -1, 2], [-2, 3,
        -2, 3, 1, -2], [-2, 3, -2, 3, 1, 2], [1, 2], [1, 2, -3, 2, -1,
        2, -3], [1, 2, 3, -2, 1, -2, 3], [1, 2, 3], [1, 2, -3], [1, 2,
        -3, -2], [1, 2, -3, 2], [1, 2, 3, -2], [1, 2, 3, 2], [1, 2,
        -3, -2, -1], [1, 2, -3, -2, 1], [1, 2, -3, 2, -1], [1, 2, -3,
        2, 1], [1, 2, 3, -2, -1], [1, 2, 3, -2, 1], [1, 2, 3, 2, -1],
        [1, 2, 3, 2, 1], [1, 2, 3, -2, 1, -2], [1, 2, -3, -2, 1, -2],
        [1, 2, 3, -2, 3], [1, 2, 3, -2, 3, 1], [1, 2, 3, -2, 3, -1],
        [1, 2, 3, -2, 3, 1, -2, 1], [1, 2, 3, -2, 3, -1, -2], [1, 2,
        3, -2, 3, -1, 2], [1, 2, 3, -2, 3, 1, -2], [1, 2, 3, -2, 3, 1,
        2], [1, -2], [1, -2, -3, 2, -1, 2, -3], [1, -2, 3, -2, 1, -2,
        3], [1, -2, 3], [1, -2, -3], [1, -2, -3, -2], [1, -2, -3, 2],
        [1, -2, 3, -2], [1, -2, 3, 2], [1, -2, -3, -2, -1], [1, -2,
        -3, -2, 1], [1, -2, -3, 2, -1], [1, -2, -3, 2, 1], [1, -2, 3,
        -2, -1], [1, -2, 3, -2, 1], [1, -2, 3, 2, -1], [1, -2, 3, 2,
        1], [1, -2, 3, -2, 1, -2], [1, -2, -3, -2, 1, -2], [1, -2, 3,
        -2, 3], [1, -2, 3, -2, 3, 1], [1, -2, 3, -2, 3, -1], [1, -2,
        3, -2, 3, 1, -2, 1], [1, -2, 3, -2, 3, -1, -2], [1, -2, 3, -2,
        3, -1, 2], [1, -2, 3, -2, 3, 1, -2], [1, -2, 3, -2, 3, 1, 2],
        [-1, 2], [-1, 2, -3, 2, -1, 2, -3], [-1, 2, 3, -2, 1, -2, 3],
        [-1, 2, 3], [-1, 2, -3], [-1, 2, -3, -2], [-1, 2, -3, 2], [-1,
        2, 3, -2], [-1, 2, 3, 2], [-1, 2, -3, -2, -1], [-1, 2, -3, -2,
        1], [-1, 2, -3, 2, -1], [-1, 2, -3, 2, 1], [-1, 2, 3, -2, -1],
        [-1, 2, 3, -2, 1], [-1, 2, 3, 2, -1], [-1, 2, 3, 2, 1], [-1,
        2, 3, -2, 1, -2], [-1, 2, -3, -2, 1, -2], [-1, 2, 3, -2, 3],
        [-1, 2, 3, -2, 3, 1], [-1, 2, 3, -2, 3, -1], [-1, 2, 3, -2, 3,
        1, -2, 1], [-1, 2, 3, -2, 3, -1, -2], [-1, 2, 3, -2, 3, -1,
        2], [-1, 2, 3, -2, 3, 1, -2], [-1, 2, 3, -2, 3, 1, 2], [-1,
        -2], [-1, -2, -3, 2, -1, 2, -3], [-1, -2, 3, -2, 1, -2, 3],
        [-1, -2, 3], [-1, -2, -3], [-1, -2, -3, -2], [-1, -2, -3, 2],
        [-1, -2, 3, -2], [-1, -2, 3, 2], [-1, -2, -3, -2, -1], [-1,
        -2, -3, -2, 1], [-1, -2, -3, 2, -1], [-1, -2, -3, 2, 1], [-1,
        -2, 3, -2, -1], [-1, -2, 3, -2, 1], [-1, -2, 3, 2, -1], [-1,
        -2, 3, 2, 1], [-1, -2, 3, -2, 1, -2], [-1, -2, -3, -2, 1, -2],
        [-1, -2, 3, -2, 3], [-1, -2, 3, -2, 3, 1], [-1, -2, 3, -2, 3,
        -1], [-1, -2, 3, -2, 3, 1, -2, 1], [-1, -2, 3, -2, 3, -1, -2],
        [-1, -2, 3, -2, 3, -1, 2], [-1, -2, 3, -2, 3, 1, -2], [-1, -2,
        3, -2, 3, 1, 2], [1, 2, 1], [1, 2, 1, -3, 2, -1, 2, -3], [1,
        2, 1, 3, -2, 1, -2, 3], [1, 2, 1, 3], [1, 2, 1, -3], [1, 2, 1,
        -3, -2], [1, 2, 1, -3, 2], [1, 2, 1, 3, -2], [1, 2, 1, 3, 2],
        [1, 2, 1, -3, -2, -1], [1, 2, 1, -3, -2, 1], [1, 2, 1, -3, 2,
        -1], [1, 2, 1, -3, 2, 1], [1, 2, 1, 3, -2, -1], [1, 2, 1, 3,
        -2, 1], [1, 2, 1, 3, 2, -1], [1, 2, 1, 3, 2, 1], [1, 2, 1, 3,
        -2, 1, -2], [1, 2, 1, -3, -2, 1, -2], [1, 2, 1, 3, -2, 3], [1,
        2, 1, 3, -2, 3, 1], [1, 2, 1, 3, -2, 3, -1], [1, 2, 1, 3, -2,
        3, 1, -2, 1], [1, 2, 1, 3, -2, 3, -1, -2], [1, 2, 1, 3, -2, 3,
        -1, 2], [1, 2, 1, 3, -2, 3, 1, -2], [1, 2, 1, 3, -2, 3, 1, 2],
        [1, 2, -1], [1, 2, -1, -3, 2, -1, 2, -3], [1, 2, -1, 3, -2, 1,
        -2, 3], [1, 2, -1, 3], [1, 2, -1, -3], [1, 2, -1, -3, -2], [1,
        2, -1, -3, 2], [1, 2, -1, 3, -2], [1, 2, -1, 3, 2], [1, 2, -1,
        -3, -2, -1], [1, 2, -1, -3, -2, 1], [1, 2, -1, -3, 2, -1], [1,
        2, -1, -3, 2, 1], [1, 2, -1, 3, -2, -1], [1, 2, -1, 3, -2, 1],
        [1, 2, -1, 3, 2, -1], [1, 2, -1, 3, 2, 1], [1, 2, -1, 3, -2,
        1, -2], [1, 2, -1, -3, -2, 1, -2], [1, 2, -1, 3, -2, 3], [1,
        2, -1, 3, -2, 3, 1], [1, 2, -1, 3, -2, 3, -1], [1, 2, -1, 3,
        -2, 3, 1, -2, 1], [1, 2, -1, 3, -2, 3, -1, -2], [1, 2, -1, 3,
        -2, 3, -1, 2], [1, 2, -1, 3, -2, 3, 1, -2], [1, 2, -1, 3, -2,
        3, 1, 2], [-1, 2, 1], [-1, 2, 1, -3, 2, -1, 2, -3], [-1, 2, 1,
        3, -2, 1, -2, 3], [-1, 2, 1, 3], [-1, 2, 1, -3], [-1, 2, 1,
        -3, -2], [-1, 2, 1, -3, 2], [-1, 2, 1, 3, -2], [-1, 2, 1, 3,
        2], [-1, 2, 1, -3, -2, -1], [-1, 2, 1, -3, -2, 1], [-1, 2, 1,
        -3, 2, -1], [-1, 2, 1, -3, 2, 1], [-1, 2, 1, 3, -2, -1], [-1,
        2, 1, 3, -2, 1], [-1, 2, 1, 3, 2, -1], [-1, 2, 1, 3, 2, 1],
        [-1, 2, 1, 3, -2, 1, -2], [-1, 2, 1, -3, -2, 1, -2], [-1, 2,
        1, 3, -2, 3], [-1, 2, 1, 3, -2, 3, 1], [-1, 2, 1, 3, -2, 3,
        -1], [-1, 2, 1, 3, -2, 3, 1, -2, 1], [-1, 2, 1, 3, -2, 3, -1,
        -2], [-1, 2, 1, 3, -2, 3, -1, 2], [-1, 2, 1, 3, -2, 3, 1, -2],
        [-1, 2, 1, 3, -2, 3, 1, 2], [-1, 2, -1], [-1, 2, -1, -3, 2,
        -1, 2, -3], [-1, 2, -1, 3, -2, 1, -2, 3], [-1, 2, -1, 3], [-1,
        2, -1, -3], [-1, 2, -1, -3, -2], [-1, 2, -1, -3, 2], [-1, 2,
        -1, 3, -2], [-1, 2, -1, 3, 2], [-1, 2, -1, -3, -2, -1], [-1,
        2, -1, -3, -2, 1], [-1, 2, -1, -3, 2, -1], [-1, 2, -1, -3, 2,
        1], [-1, 2, -1, 3, -2, -1], [-1, 2, -1, 3, -2, 1], [-1, 2, -1,
        3, 2, -1], [-1, 2, -1, 3, 2, 1], [-1, 2, -1, 3, -2, 1, -2],
        [-1, 2, -1, -3, -2, 1, -2], [-1, 2, -1, 3, -2, 3], [-1, 2, -1,
        3, -2, 3, 1], [-1, 2, -1, 3, -2, 3, -1], [-1, 2, -1, 3, -2, 3,
        1, -2, 1], [-1, 2, -1, 3, -2, 3, -1, -2], [-1, 2, -1, 3, -2,
        3, -1, 2], [-1, 2, -1, 3, -2, 3, 1, -2], [-1, 2, -1, 3, -2, 3,
        1, 2], [1, -2, 1], [1, -2, 1, -3, 2, -1, 2, -3], [1, -2, 1, 3,
        -2, 1, -2, 3], [1, -2, 1, 3], [1, -2, 1, -3], [1, -2, 1, -3,
        -2], [1, -2, 1, -3, 2], [1, -2, 1, 3, -2], [1, -2, 1, 3, 2],
        [1, -2, 1, -3, -2, -1], [1, -2, 1, -3, -2, 1], [1, -2, 1, -3,
        2, -1], [1, -2, 1, -3, 2, 1], [1, -2, 1, 3, -2, -1], [1, -2,
        1, 3, -2, 1], [1, -2, 1, 3, 2, -1], [1, -2, 1, 3, 2, 1], [1,
        -2, 1, 3, -2, 1, -2], [1, -2, 1, -3, -2, 1, -2], [1, -2, 1, 3,
        -2, 3], [1, -2, 1, 3, -2, 3, 1], [1, -2, 1, 3, -2, 3, -1], [1,
        -2, 1, 3, -2, 3, 1, -2, 1], [1, -2, 1, 3, -2, 3, -1, -2], [1,
        -2, 1, 3, -2, 3, -1, 2], [1, -2, 1, 3, -2, 3, 1, -2], [1, -2,
        1, 3, -2, 3, 1, 2], [-1, -2, 1], [-1, -2, 1, -3, 2, -1, 2,
        -3], [-1, -2, 1, 3, -2, 1, -2, 3], [-1, -2, 1, 3], [-1, -2, 1,
        -3], [-1, -2, 1, -3, -2], [-1, -2, 1, -3, 2], [-1, -2, 1, 3,
        -2], [-1, -2, 1, 3, 2], [-1, -2, 1, -3, -2, -1], [-1, -2, 1,
        -3, -2, 1], [-1, -2, 1, -3, 2, -1], [-1, -2, 1, -3, 2, 1],
        [-1, -2, 1, 3, -2, -1], [-1, -2, 1, 3, -2, 1], [-1, -2, 1, 3,
        2, -1], [-1, -2, 1, 3, 2, 1], [-1, -2, 1, 3, -2, 1, -2], [-1,
        -2, 1, -3, -2, 1, -2], [-1, -2, 1, 3, -2, 3], [-1, -2, 1, 3,
        -2, 3, 1], [-1, -2, 1, 3, -2, 3, -1], [-1, -2, 1, 3, -2, 3, 1,
        -2, 1], [-1, -2, 1, 3, -2, 3, -1, -2], [-1, -2, 1, 3, -2, 3,
        -1, 2], [-1, -2, 1, 3, -2, 3, 1, -2], [-1, -2, 1, 3, -2, 3, 1,
        2], [2, 1], [2, 1, -3, 2, -1, 2, -3], [2, 1, 3, -2, 1, -2, 3],
        [2, 1, 3], [2, 1, -3], [2, 1, -3, -2], [2, 1, -3, 2], [2, 1,
        3, -2], [2, 1, 3, 2], [2, 1, -3, -2, -1], [2, 1, -3, -2, 1],
        [2, 1, -3, 2, -1], [2, 1, -3, 2, 1], [2, 1, 3, -2, -1], [2, 1,
        3, -2, 1], [2, 1, 3, 2, -1], [2, 1, 3, 2, 1], [2, 1, 3, -2, 1,
        -2], [2, 1, -3, -2, 1, -2], [2, 1, 3, -2, 3], [2, 1, 3, -2, 3,
        1], [2, 1, 3, -2, 3, -1], [2, 1, 3, -2, 3, 1, -2, 1], [2, 1,
        3, -2, 3, -1, -2], [2, 1, 3, -2, 3, -1, 2], [2, 1, 3, -2, 3,
        1, -2], [2, 1, 3, -2, 3, 1, 2], [-2, 1], [-2, 1, -3, 2, -1, 2,
        -3], [-2, 1, 3, -2, 1, -2, 3], [-2, 1, 3], [-2, 1, -3], [-2,
        1, -3, -2], [-2, 1, -3, 2], [-2, 1, 3, -2], [-2, 1, 3, 2],
        [-2, 1, -3, -2, -1], [-2, 1, -3, -2, 1], [-2, 1, -3, 2, -1],
        [-2, 1, -3, 2, 1], [-2, 1, 3, -2, -1], [-2, 1, 3, -2, 1], [-2,
        1, 3, 2, -1], [-2, 1, 3, 2, 1], [-2, 1, 3, -2, 1, -2], [-2, 1,
        -3, -2, 1, -2], [-2, 1, 3, -2, 3], [-2, 1, 3, -2, 3, 1], [-2,
        1, 3, -2, 3, -1], [-2, 1, 3, -2, 3, 1, -2, 1], [-2, 1, 3, -2,
        3, -1, -2], [-2, 1, 3, -2, 3, -1, 2], [-2, 1, 3, -2, 3, 1,
        -2], [-2, 1, 3, -2, 3, 1, 2], [2, -1], [2, -1, -3, 2, -1, 2,
        -3], [2, -1, 3, -2, 1, -2, 3], [2, -1, 3], [2, -1, -3], [2,
        -1, -3, -2], [2, -1, -3, 2], [2, -1, 3, -2], [2, -1, 3, 2],
        [2, -1, -3, -2, -1], [2, -1, -3, -2, 1], [2, -1, -3, 2, -1],
        [2, -1, -3, 2, 1], [2, -1, 3, -2, -1], [2, -1, 3, -2, 1], [2,
        -1, 3, 2, -1], [2, -1, 3, 2, 1], [2, -1, 3, -2, 1, -2], [2,
        -1, -3, -2, 1, -2], [2, -1, 3, -2, 3], [2, -1, 3, -2, 3, 1],
        [2, -1, 3, -2, 3, -1], [2, -1, 3, -2, 3, 1, -2, 1], [2, -1, 3,
        -2, 3, -1, -2], [2, -1, 3, -2, 3, -1, 2], [2, -1, 3, -2, 3, 1,
        -2], [2, -1, 3, -2, 3, 1, 2], [-2, -1], [-2, -1, -3, 2, -1, 2,
        -3], [-2, -1, 3, -2, 1, -2, 3], [-2, -1, 3], [-2, -1, -3],
        [-2, -1, -3, -2], [-2, -1, -3, 2], [-2, -1, 3, -2], [-2, -1,
        3, 2], [-2, -1, -3, -2, -1], [-2, -1, -3, -2, 1], [-2, -1, -3,
        2, -1], [-2, -1, -3, 2, 1], [-2, -1, 3, -2, -1], [-2, -1, 3,
        -2, 1], [-2, -1, 3, 2, -1], [-2, -1, 3, 2, 1], [-2, -1, 3, -2,
        1, -2], [-2, -1, -3, -2, 1, -2], [-2, -1, 3, -2, 3], [-2, -1,
        3, -2, 3, 1], [-2, -1, 3, -2, 3, -1], [-2, -1, 3, -2, 3, 1,
        -2, 1], [-2, -1, 3, -2, 3, -1, -2], [-2, -1, 3, -2, 3, -1, 2],
        [-2, -1, 3, -2, 3, 1, -2], [-2, -1, 3, -2, 3, 1, 2], [1, -2,
        -1], [1, -2, -1, -3, 2, -1, 2, -3], [1, -2, -1, 3, -2, 1, -2,
        3], [1, -2, -1, 3], [1, -2, -1, -3], [1, -2, -1, -3, -2], [1,
        -2, -1, -3, 2], [1, -2, -1, 3, -2], [1, -2, -1, 3, 2], [1, -2,
        -1, -3, -2, -1], [1, -2, -1, -3, -2, 1], [1, -2, -1, -3, 2,
        -1], [1, -2, -1, -3, 2, 1], [1, -2, -1, 3, -2, -1], [1, -2,
        -1, 3, -2, 1], [1, -2, -1, 3, 2, -1], [1, -2, -1, 3, 2, 1],
        [1, -2, -1, 3, -2, 1, -2], [1, -2, -1, -3, -2, 1, -2], [1, -2,
        -1, 3, -2, 3], [1, -2, -1, 3, -2, 3, 1], [1, -2, -1, 3, -2, 3,
        -1], [1, -2, -1, 3, -2, 3, 1, -2, 1], [1, -2, -1, 3, -2, 3,
        -1, -2], [1, -2, -1, 3, -2, 3, -1, 2], [1, -2, -1, 3, -2, 3,
        1, -2], [1, -2, -1, 3, -2, 3, 1, 2], [-1, -2, -1], [-1, -2,
        -1, -3, 2, -1, 2, -3], [-1, -2, -1, 3, -2, 1, -2, 3], [-1, -2,
        -1, 3], [-1, -2, -1, -3], [-1, -2, -1, -3, -2], [-1, -2, -1,
        -3, 2], [-1, -2, -1, 3, -2], [-1, -2, -1, 3, 2], [-1, -2, -1,
        -3, -2, -1], [-1, -2, -1, -3, -2, 1], [-1, -2, -1, -3, 2, -1],
        [-1, -2, -1, -3, 2, 1], [-1, -2, -1, 3, -2, -1], [-1, -2, -1,
        3, -2, 1], [-1, -2, -1, 3, 2, -1], [-1, -2, -1, 3, 2, 1], [-1,
        -2, -1, 3, -2, 1, -2], [-1, -2, -1, -3, -2, 1, -2], [-1, -2,
        -1, 3, -2, 3], [-1, -2, -1, 3, -2, 3, 1], [-1, -2, -1, 3, -2,
        3, -1], [-1, -2, -1, 3, -2, 3, 1, -2, 1], [-1, -2, -1, 3, -2,
        3, -1, -2], [-1, -2, -1, 3, -2, 3, -1, 2], [-1, -2, -1, 3, -2,
        3, 1, -2], [-1, -2, -1, 3, -2, 3, 1, 2], [2, -1, 2], [2, -1,
        2, -3, 2, -1, 2, -3], [2, -1, 2, 3, -2, 1, -2, 3], [2, -1, 2,
        3], [2, -1, 2, -3], [2, -1, 2, -3, -2], [2, -1, 2, -3, 2], [2,
        -1, 2, 3, -2], [2, -1, 2, 3, 2], [2, -1, 2, -3, -2, -1], [2,
        -1, 2, -3, -2, 1], [2, -1, 2, -3, 2, -1], [2, -1, 2, -3, 2,
        1], [2, -1, 2, 3, -2, -1], [2, -1, 2, 3, -2, 1], [2, -1, 2, 3,
        2, -1], [2, -1, 2, 3, 2, 1], [2, -1, 2, 3, -2, 1, -2], [2, -1,
        2, -3, -2, 1, -2], [2, -1, 2, 3, -2, 3], [2, -1, 2, 3, -2, 3,
        1], [2, -1, 2, 3, -2, 3, -1], [2, -1, 2, 3, -2, 3, 1, -2, 1],
        [2, -1, 2, 3, -2, 3, -1, -2], [2, -1, 2, 3, -2, 3, -1, 2], [2,
        -1, 2, 3, -2, 3, 1, -2], [2, -1, 2, 3, -2, 3, 1, 2], [1, 2,
        -1, 2], [1, 2, -1, 2, -3, 2, -1, 2, -3], [1, 2, -1, 2, 3, -2,
        1, -2, 3], [1, 2, -1, 2, 3], [1, 2, -1, 2, -3], [1, 2, -1, 2,
        -3, -2], [1, 2, -1, 2, -3, 2], [1, 2, -1, 2, 3, -2], [1, 2,
        -1, 2, 3, 2], [1, 2, -1, 2, -3, -2, -1], [1, 2, -1, 2, -3, -2,
        1], [1, 2, -1, 2, -3, 2, -1], [1, 2, -1, 2, -3, 2, 1], [1, 2,
        -1, 2, 3, -2, -1], [1, 2, -1, 2, 3, -2, 1], [1, 2, -1, 2, 3,
        2, -1], [1, 2, -1, 2, 3, 2, 1], [1, 2, -1, 2, 3, -2, 1, -2],
        [1, 2, -1, 2, -3, -2, 1, -2], [1, 2, -1, 2, 3, -2, 3], [1, 2,
        -1, 2, 3, -2, 3, 1], [1, 2, -1, 2, 3, -2, 3, -1], [1, 2, -1,
        2, 3, -2, 3, 1, -2, 1], [1, 2, -1, 2, 3, -2, 3, -1, -2], [1,
        2, -1, 2, 3, -2, 3, -1, 2], [1, 2, -1, 2, 3, -2, 3, 1, -2],
        [1, 2, -1, 2, 3, -2, 3, 1, 2], [-1, 2, -1, 2], [-1, 2, -1, 2,
        -3, 2, -1, 2, -3], [-1, 2, -1, 2, 3, -2, 1, -2, 3], [-1, 2,
        -1, 2, 3], [-1, 2, -1, 2, -3], [-1, 2, -1, 2, -3, -2], [-1, 2,
        -1, 2, -3, 2], [-1, 2, -1, 2, 3, -2], [-1, 2, -1, 2, 3, 2],
        [-1, 2, -1, 2, -3, -2, -1], [-1, 2, -1, 2, -3, -2, 1], [-1, 2,
        -1, 2, -3, 2, -1], [-1, 2, -1, 2, -3, 2, 1], [-1, 2, -1, 2, 3,
        -2, -1], [-1, 2, -1, 2, 3, -2, 1], [-1, 2, -1, 2, 3, 2, -1],
        [-1, 2, -1, 2, 3, 2, 1], [-1, 2, -1, 2, 3, -2, 1, -2], [-1, 2,
        -1, 2, -3, -2, 1, -2], [-1, 2, -1, 2, 3, -2, 3], [-1, 2, -1,
        2, 3, -2, 3, 1], [-1, 2, -1, 2, 3, -2, 3, -1], [-1, 2, -1, 2,
        3, -2, 3, 1, -2, 1], [-1, 2, -1, 2, 3, -2, 3, -1, -2], [-1, 2,
        -1, 2, 3, -2, 3, -1, 2], [-1, 2, -1, 2, 3, -2, 3, 1, -2], [-1,
        2, -1, 2, 3, -2, 3, 1, 2]]
    return data

